apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfigNode
metadata:
  creationTimestamp: "2025-10-27T11:49:13Z"
  generation: 6
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:configVersion:
          f:desired: {}
        f:node:
          f:name: {}
        f:pool:
          f:name: {}
    manager: machine-config-operator
    operation: Apply
    time: "2025-10-29T10:14:30Z"
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"AppliedFilesAndOS"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Cordoned"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Drained"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"NodeDegraded"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"PinnedImageSetsDegraded"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"PinnedImageSetsProgressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"RebootedNode"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Resumed"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Uncordoned"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"UpdateComplete"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"UpdateExecuted"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"UpdatePostActionComplete"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"UpdatePrepared"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Updated"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:configVersion:
          f:current: {}
          f:desired: {}
        f:observedGeneration: {}
    manager: machine-config-operator
    operation: Apply
    subresource: status
    time: "2025-10-29T10:15:44Z"
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences:
          .: {}
          k:{"uid":"37549cd0-66c4-482a-a2e8-bebff241e79b"}: {}
      f:spec:
        .: {}
        f:configVersion: {}
        f:node:
          .: {}
          f:name: {}
        f:pool:
          .: {}
          f:name: {}
    manager: machine-config-operator
    operation: Update
    time: "2025-10-27T11:49:13Z"
  name: cnvqe-070.lab.eng.tlv2.redhat.com
  ownerReferences:
  - apiVersion: v1
    kind: Node
    name: cnvqe-070.lab.eng.tlv2.redhat.com
    uid: 37549cd0-66c4-482a-a2e8-bebff241e79b
  resourceVersion: "2051746"
  uid: 7a05e19e-2b46-4f18-a964-4b7d12f1a331
spec:
  configVersion:
    desired: rendered-master-1d6f65e1cf290f9836f55175b16e0624
  node:
    name: cnvqe-070.lab.eng.tlv2.redhat.com
  pool:
    name: master
status:
  conditions:
  - lastTransitionTime: "2025-10-27T12:27:20Z"
    message: All pinned image sets complete
    reason: AsExpected
    status: "False"
    type: PinnedImageSetsProgressing
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      Update Compatible. Post Cfg Actions: [] Drain Required: false'
    reason: UpdatePrepared
    status: "False"
    type: UpdatePrepared
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      Updated the Files and OS on disk as a part of the in progress phase'
    reason: AppliedFilesAndOS
    status: "False"
    type: UpdateExecuted
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      Node has reloaded service crio'
    reason: UpdatePostActionComplete
    status: "False"
    type: UpdatePostActionComplete
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      Uncordoned Node as part of completing upgrade phase'
    reason: Uncordoned
    status: "False"
    type: UpdateComplete
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      In desired config rendered-master-1d6f65e1cf290f9836f55175b16e0624. Resumed
      normal operations. Applying proper annotations.'
    reason: Resumed
    status: "False"
    type: Resumed
  - lastTransitionTime: "2025-10-29T10:14:30Z"
    message: Node Drain Not required for this update.
    reason: UpdateExecutedDrained
    status: "False"
    type: Drained
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      Applied files and new OS config to node. OS did not need an update. SSH Keys
      did not need an update'
    reason: UpdateExecutedAppliedFilesAndOS
    status: "False"
    type: AppliedFilesAndOS
  - lastTransitionTime: "2025-10-27T12:27:34Z"
    message: 'Action during update to rendered-master-7d7f8a5107fa2ad8eb343aa2fb5ce13d:
      Cordoned node. The node is reporting Unschedulable = true'
    reason: UpdateExecutedCordoned
    status: "False"
    type: Cordoned
  - lastTransitionTime: "2025-10-27T12:27:34Z"
    message: 'Action during update to rendered-master-7d7f8a5107fa2ad8eb343aa2fb5ce13d:
      Node has rebooted'
    reason: RebootedNode
    status: "False"
    type: RebootedNode
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: Node cnvqe-070.lab.eng.tlv2.redhat.com Updated
    reason: Updated
    status: "True"
    type: Updated
  - lastTransitionTime: "2025-10-29T10:15:44Z"
    message: 'Action during update to rendered-master-1d6f65e1cf290f9836f55175b16e0624:
      UnCordoned node. The node is reporting Unschedulable = false'
    reason: UpdateCompleteUncordoned
    status: "False"
    type: Uncordoned
  - lastTransitionTime: "2025-10-27T12:03:28Z"
    message: Node cnvqe-070.lab.eng.tlv2.redhat.com upgrade succeeded
    reason: NodeDegraded
    status: "False"
    type: NodeDegraded
  - lastTransitionTime: "2025-10-27T12:27:20Z"
    message: All is good
    reason: AsExpected
    status: "False"
    type: PinnedImageSetsDegraded
  configVersion:
    current: rendered-master-1d6f65e1cf290f9836f55175b16e0624
    desired: rendered-master-1d6f65e1cf290f9836f55175b16e0624
  observedGeneration: 7
